public static interface ZooKeeperEndpointBuilderFactory.ZooKeeperBuilders
| Modifier and Type | Method and Description |
|---|---|
default ZooKeeperEndpointBuilderFactory.ZooKeeperEndpointBuilder |
zookeeper(String path)
ZooKeeper (camel-zookeeper)
Manage ZooKeeper clusters.
|
default ZooKeeperEndpointBuilderFactory.ZooKeeperEndpointBuilder |
zookeeper(String componentName,
String path)
ZooKeeper (camel-zookeeper)
Manage ZooKeeper clusters.
|
default ZooKeeperEndpointBuilderFactory.ZooKeeperEndpointBuilder zookeeper(String path)
zookeeper:serverUrls/path
Path parameter: serverUrls (required)
The zookeeper server hosts (multiple servers can be separated by
comma)
Path parameter: path (required)
The node in the ZooKeeper server (aka znode)path - serverUrls/pathdefault ZooKeeperEndpointBuilderFactory.ZooKeeperEndpointBuilder zookeeper(String componentName, String path)
zookeeper:serverUrls/path
Path parameter: serverUrls (required)
The zookeeper server hosts (multiple servers can be separated by
comma)
Path parameter: path (required)
The node in the ZooKeeper server (aka znode)componentName - to use a custom component name for the endpoint
instead of the default namepath - serverUrls/pathApache Camel